# getProtectionDomain abstract method

ProtectionDomain getProtectionDomain()

Gets the protection domain governing access to this element.

Protection domains control:

- Visibility of the element
- Access to sensitive metadata
- Security constraints

Returns:

- The ProtectionDomain associated with this element

See also:

- checkAccess for permission verification

## Implementation

    ProtectionDomain getProtectionDomain();